> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent Test Folder

> Updates an agent test folder. Currently only supports updating the folder name.



## OpenAPI

````yaml /api-reference/openapi.json patch /v1/convai/agent-testing/folders/{folder_id}
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/agent-testing/folders/{folder_id}:
    patch:
      tags:
        - Agents Platform
      summary: Update Agent Test Folder
      description: >-
        Updates an agent test folder. Currently only supports updating the
        folder name.
      operationId: update_agent_test_folder_route
      parameters:
        - name: folder_id
          in: path
          required: true
          schema:
            type: string
            description: The folder ID.
            examples:
              - tfld_7301khxdkycse5f88fzjdtrterzm
            title: Folder Id
          description: The folder ID.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_Update_agent_test_folder_v1_convai_agent_testing_folders__folder_id__patch
      responses:
        '200':
          description: Folder successfully updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAgentTestFolderResponseModel'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_Update_agent_test_folder_v1_convai_agent_testing_folders__folder_id__patch:
      properties:
        name:
          type: string
          title: Name
          description: The new name for the folder
      type: object
      required:
        - name
      title: >-
        Body_Update_agent_test_folder_v1_convai_agent_testing_folders__folder_id__patch
    GetAgentTestFolderResponseModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        folder_path:
          items:
            $ref: '#/components/schemas/AgentTestFolderPathSegmentResponseModel'
          type: array
          title: Folder Path
          description: The path from the root folder to the current folder.
        children_count:
          type: integer
          title: Children Count
          description: The number of direct children (tests and subfolders) in this folder
          default: 0
      type: object
      required:
        - id
        - name
      title: GetAgentTestFolderResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AgentTestFolderPathSegmentResponseModel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
          default: ''
      type: object
      required:
        - id
      title: AgentTestFolderPathSegmentResponseModel
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````